/**
 * @desc   千分位数字
 * @param  {Number, Number}
 * @return {String}
 */

 function fixedThousandsNumber (number, fixed = 0) {
	 // 过滤参数
	 if (Object.is(parseFloat(number), NaN)) {
		console.error('请检查入参。例如：fixedThousandsNumber(10000.1234, 2)')
		return
	 }
	 // 参数预处理
	 let numString = parseFloat(number).toFixed(fixed)
	 // 提取整数部分和浮点数部分
	 let [intNum, floatNum] = numString.split('.')
	 // 判断是否需要进行千分位处理
	 if (intNum.length <= 3) {
		return numString
	 }
	 // 千分位转换
	 let temp = []
	 for (let end = intNum.length; end >= 0 ; end -= 3) {
		let start = end - 3 > 0 ? end - 3 : 0
		temp.push(intNum.slice(start, end))
	 }
	 // 判断是否需要保留浮点数
	 let result = floatNum ? `${temp.reverse().join()}.${floatNum}` : temp.reverse().join()
	 return result
 }

 module.exports = fixedThousandsNumber