describe('Cookie API:', function () {
    describe('#getCookie()', function () {
        before(function () {
            fetools.setCookie('test', 'getTestValue', 1)
        })
        it(`fetools.getCookie('test', 'getTestValue') should return true`, function () {
            assert(fetools.getCookie('test') === 'getTestValue')
        })
        after(function () {
            fetools.removeCookie('test', {})
        })
    })

    describe('#removeCookie()', function () {
        before(function () {
            fetools.setCookie('test', 'removeTestValue')
        })
        it(`fetools.removeCookie('test') should return false`, function () {
            fetools.removeCookie('test')
            assert.notEqual(fetools.getCookie('test') === 'removeTestValue')
        })
    })

    describe('#setCookie()', function () {
        it(`fetools.getCookie('test', 'setCookie') should return true`, function () {
            fetools.setCookie('test', 'setCookie')
            assert(fetools.getCookie('test') === 'setCookie')
        })
        after(function () {
            fetools.removeCookie('test')
        })
    })
})