describe('Object API:', function () {
    describe('#deepClone()', function () {
        it(`person deepEqual fetools.deepClone(person) should return true`, function () {
            let person = {
                name: "user",
                settings: {
                    first: "1",
                    second: [1, 2, 3, 4, 3]
                }
            }
            assert.deepEqual(person, fetools.deepClone(person))
        });

        it(`person === fetools.deepClone(person) should return false`, function () {
            let person = {
                name: "user",
                settings: {
                    first: "1",
                    second: [1, 2, 3, 4, 3]
                }
            }
            assert.notEqual(person, fetools.deepClone(person))
        });
    });

    describe('#isEmptyObject()', function () {
        it(`fetools.isEmptyObject({}) should return true`, function () {
            assert(fetools.deepClone({}))
        });

        it(`fetools.isEmptyObject({ one: 1 }) should return false`, function () {
            assert.notEqual(fetools.isEmptyObject({
                one: 1
            }))
        });

        it(`fetools.isEmptyObject([]) should return false`, function () {
            assert.notEqual(fetools.isEmptyObject([]))
        });
    });
})