describe('Regexp API:', function () {

    describe('#isEmail()', function () {
        it('fetools.isEmail("leiquanlive.com") should return false ', function () {
            assert.notEqual(fetools.isEmail("leiquanlive.com"))
        });
        it('fetools.isEmail("leiquan@live.com") should return true ', function () {
            assert(fetools.isEmail("leiquan@live.com"))
        });
    });

    describe('#isIdCard()', function () {
        it('fetools.isIdCard("622224188203234033") should return true ', function () {
            assert(fetools.isIdCard("622224188203234033"))
        });
        it('fetools.isIdCard("zas224188203234033") should return false', function () {
            assert(!fetools.isIdCard("leiquan@live.com"))
        });
    });

    describe('#isPhoneNum()', function () {
        it('fetools.isPhoneNum("18882324234") should return true ', function () {
            assert(fetools.isPhoneNum("18882324234"))
        });
        it('fetools.isPhoneNum("8618882324234") should return true ', function () {
            assert(fetools.isPhoneNum("8618882324234"))
        });
        it('fetools.isPhoneNum("5534553") should return false', function () {
            assert(!fetools.isPhoneNum("5534553"))
        });
    });

    describe('#isUrl()', function () {
        it('fetools.isUrl("https://www.baidu.com/s?wd=www.slane.cn&rsv_spt=1") should return true ', function () {
            assert(fetools.isUrl("https://www.baidu.com/s?wd=www.slane.cn&rsv_spt=1"))
        });
        it('fetools.isUrl("http://www.baidu.com/s?wd=www.slane.cn&rsv_spt=1") should return true ', function () {
            assert(fetools.isUrl("http://www.baidu.com/s?wd=www.slane.cn&rsv_spt=1"))
        });
        it('fetools.isUrl("www.baidu.com") should return true', function () {
            assert(fetools.isUrl("www.baidu.com"))
        });
        it('fetools.isUrl("baidu.com") should return true', function () {
            assert(fetools.isUrl("baidu.com"))
        });
        it('fetools.isUrl("http://baiducom") should return false', function () {
            assert(!fetools.isUrl("http://baiducom"))
        });
    });

});